Bug 194484 - proftpd cannot create its sockets
proftpd cannot create its sockets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 10:14 EDT by Mike
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 04:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2006-06-08 10:14:26 EDT
Description of problem:

Jun  8 16:17:57 xxx kernel: audit(1149776277.339:40): avc:  denied  { create }
for  pid=4895 comm="proftpd" name="test.sock" scontext=user_u:system_r:ftpd_t:s0
tcontext=user_u:object_r:ftpd_var_run_t:s0 tclass=sock_file

Jun  8 16:17:57 xxx kernel: audit(1149776277.359:41): avc:  denied  { create }
for  pid=4895 comm="proftpd" name="proftpd.sock"
scontext=user_u:system_r:ftpd_t:s0 tcontext=user_u:object_r:ftpd_var_run_t:s0
tclass=sock_file

Jun  8 16:17:57 xxx kernel: audit(1149776277.363:42): avc:  denied  { create }
for  pid=4895 comm="proftpd" scontext=user_u:system_r:ftpd_t:s0
tcontext=user_u:system_r:ftpd_t:s0 tclass=netlink_route_socket

Jun  8 16:17:57 xxx kernel: audit(1149776277.371:43): avc:  denied  { create }
for  pid=4895 comm="proftpd" name="proftpd.sock"
scontext=user_u:system_r:ftpd_t:s0 tcontext=user_u:object_r:ftpd_var_run_t:s0
tclass=sock_file

Jun  8 16:17:57 gw proftpd[4896]: xxx - ProFTPD 1.3.0 (stable) (built Tue May 2
11:53:38 EDT 2006) standalone mode STARTUP

Jun  8 16:18:07 gw proftpd[4896]: xxx- mod_ctrls: unable to chown local socket:
No such file or directory

Version-Release number of selected component (if applicable):

clean/fresh/minimal/yesterday install with all updates
proftpd-i386-1.3.0-2.fc5 from extras

How reproducible:

/etc/init.d/proftpd start
Comment 1 Daniel Walsh 2006-06-15 22:23:16 EDT
Fixed in selinux-policy-2.2.47-3

Note You need to log in before you can comment on or make changes to this bug.